Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAS2

    java.lang.Object
      org.netlib.lapack.DLAS2

    public class DLAS2

extends java.lang.Object

    DLAS2 is a simplified interface to the JLAPACK routine dlas2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAS2  computes the singular values of the 2-by-2 matrix
     *     [  F   G  ]
     *     [  0   H  ].
     *  On return, SSMIN is the smaller singular value and SSMAX is the
     *  larger singular value.
     *
     *  Arguments
     *  =========
     *
     *  F       (input) DOUBLE PRECISION
     *          The (1,1) element of the 2-by-2 matrix.
     *
     *  G       (input) DOUBLE PRECISION
     *          The (1,2) element of the 2-by-2 matrix.
     *
     *  H       (input) DOUBLE PRECISION
     *          The (2,2) element of the 2-by-2 matrix.
     *
     *  SSMIN   (output) DOUBLE PRECISION
     *          The smaller singular value.
     *
     *  SSMAX   (output) DOUBLE PRECISION
     *          The larger singular value.
     *
     *  Further Details
     *  ===============
     *
     *  Barring over/underflow, all output quantities are correct to within
     *  a few units in the last place (ulps), even in the absence of a guard

     *  digit in addition/subtraction.
     *
     *  In IEEE arithmetic, the code works correctly if one matrix element is
     *  infinite.
     *
     *  Overflow will not occur unless the largest singular value itself
     *  overflows, or is within a few ulps of overflow. (On machines with
     *  partial overflow, like the Cray, overflow may occur if the largest
     *  singular value is within a factor of 2 of overflow.)
     *
     *  Underflow is harmless if underflow is gradual. Otherwise, results
     *  may correspond to a matrix modified by perturbations of size near
     *  the underflow threshold.
     *
     *  ====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLAS2()`

Method Summary
`static void` | `DLAS2(double f, double g, double h, doubleW ssmin, doubleW ssmax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAS2

    public DLAS2()

Method Detail

### DLAS2

    public static void DLAS2(double f,
                             double g,
                             double h,
                             doubleW ssmin,
                             doubleW ssmax)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD